%define	upstream_name	 B-Keywords
%define	upstream_version 1.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Lists of reserved barewords and symbol names
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildArch:  noarch
Obsoletes:  perl-B-Keywords < 1.140.0-2

%description
B::Keywords supplies seven arrays of keywords: @Scalars, @Arrays,
@Hashes, @Filehandles, @Symbols, @Functions, and @Barewords. The
@Symbols array includes the contents of each of @Scalars, @Arrays,
@Hashes, and @Filehandles. Similarly, @Barewords adds a few
non-function keywords and operators to the @Functions array.

All additions and modifications are welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/B
%{_mandir}/man*/*

%changelog
* Tue May 28 2024 tv <tv> 1.270.0-1.mga10
+ Revision: 2068557
- update to 1.27

* Tue Aug 29 2023 tv <tv> 1.260.0-1.mga10
+ Revision: 1980921
- update to 1.26

* Mon Mar 21 2022 umeabot <umeabot> 1.240.0-2.mga9
+ Revision: 1816376
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 1.240.0-1.mga9
+ Revision: 1784042
- update to 1.24

* Tue Nov 02 2021 tv <tv> 1.230.0-1.mga9
+ Revision: 1753658
- update to 1.23

* Thu Feb 25 2021 tv <tv> 1.220.0-1.mga9
+ Revision: 1690196
- update to 1.22

* Tue Feb 18 2020 umeabot <umeabot> 1.210.0-2.mga8
+ Revision: 1540931
- Mageia 8 Mass Rebuild

* Wed Dec 18 2019 tv <tv> 1.210.0-1.mga8
+ Revision: 1468687
- update to 1.21

* Fri Feb 15 2019 tv <tv> 1.200.0-1.mga7
+ Revision: 1367319
- update to 1.20

* Thu Sep 20 2018 umeabot <umeabot> 1.190.0-2.mga7
+ Revision: 1281839
- Mageia 7 Mass Rebuild

* Fri Aug 24 2018 tv <tv> 1.190.0-1.mga7
+ Revision: 1253712
- update to 1.19

* Tue Feb 06 2018 tv <tv> 1.180.0-1.mga7
+ Revision: 1199199
- update to 1.18

* Fri Dec 29 2017 tv <tv> 1.160.0-1.mga7
+ Revision: 1186942
- update to 1.16
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 1.150.0-1.mga6
+ Revision: 903331
- new release

* Wed Sep 30 2015 sander85 <sander85> 1.140.0-2.mga6
+ Revision: 885346
- Convert to noarch package

* Tue Jun 30 2015 sander85 <sander85> 1.140.0-1.mga6
+ Revision: 848578
- update to 1.14

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-4.mga5
+ Revision: 740856
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-3.mga5
+ Revision: 683590
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.130.0-2.mga4
+ Revision: 526475
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 jquelin <jquelin> 1.130.0-1.mga4
+ Revision: 437065
- update to 1.13

* Wed May 29 2013 tv <tv> 1.120.0-3.mga4
+ Revision: 432688
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 363328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 1.120.0-1.mga2
+ Revision: 211934
- update to 1.12

* Wed Jan 25 2012 jquelin <jquelin> 1.110.0-1.mga2
+ Revision: 200833
- update to 1.11

* Sat Jan 22 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 32727
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 29812
- mageia rebuild
- imported package perl-B-Keywords

